var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const fs_1 = require("fs");
const path_1 = require("path");
const utils_1 = require("../utils");
function getConfig(filePath) {
    return __awaiter(this, void 0, void 0, function* () {
        let config = yield utils_1.readJsonFileAsync(filePath);
        if (_.isEmpty(config.extends)) {
            return config;
        }
        const configExtends = _.castArray(config.extends);
        for (const path of configExtends) {
            config = _.merge({}, yield getConfig(path), config);
        }
        return config;
    });
}
exports.getConfig = getConfig;
function getConfigFilePath(file) {
    if (path_1.isAbsolute(file)) {
        return file;
    }
    const path = path_1.join(utils_1.getRootPath(), file);
    if (fs_1.existsSync(path)) {
        return path;
    }
    return path_1.join(__dirname, "../../config", file);
}
exports.getConfigFilePath = getConfigFilePath;
