Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const utils_1 = require("./utils");
const gitRoot = utils_1.findFileRecursively(".git");
if (!gitRoot) {
    console.log("Not a GIT Repository");
    process.exit(0);
}
const hooksPath = path_1.join(gitRoot, ".git", "hooks");
const commitMsgHookPath = path_1.join(hooksPath, "commit-msg");
let fileStat;
try {
    fileStat = fs_1.lstatSync(commitMsgHookPath);
}
catch (error) {
    // do nothing
}
if (process.argv[2] === "uninstall") {
    uninstall();
}
else {
    install();
}
function install() {
    uninstall();
    if (fileStat && fileStat.isFile()) {
        fs_1.renameSync(commitMsgHookPath, `${commitMsgHookPath}.backup`);
    }
    fs_1.symlinkSync(path_1.join(__dirname, "hook.js"), commitMsgHookPath);
}
function uninstall() {
    if (fileStat && fileStat.isSymbolicLink()) {
        fs_1.unlinkSync(commitMsgHookPath);
    }
}
