import { RulesResult, CommitMessagePart } from "./rules.model";
export declare namespace Rules {
    const SCOPED_COMMIT_REGEXP: RegExp;
    function noUnscoped(text: string): RulesResult;
    function maxLength(text: string, part: CommitMessagePart, maxLength: number): RulesResult;
    function validTypes(text: string, part: CommitMessagePart, validTypes: string[]): RulesResult;
    function noDash(text: string, part: CommitMessagePart): RulesResult;
    function noSpace(text: string, part: CommitMessagePart): RulesResult;
    function noUnderscore(text: string, part: CommitMessagePart): RulesResult;
    function noCamelCase(text: string, part: CommitMessagePart): RulesResult;
    function noKebabCase(text: string, part: CommitMessagePart): RulesResult;
    function noUpperFirst(text: string, part: CommitMessagePart): RulesResult;
    function noLowerFirst(text: string, part: CommitMessagePart): RulesResult;
    function noPeriodAtEnd(text: string, part: CommitMessagePart): RulesResult;
}
