export declare function getRootPath(): string;
export declare function readFileAsync(path: string): Promise<string>;
export declare function readJsonFileAsync<T>(path: string): Promise<T>;
export declare function getCommitMessage(): Promise<string>;
/**
 * Find a file recursively in the file system from the starting path upwards.
 *
 * Defaults: fileName: package.json, startPath: process.cwd()
 *
 * @export
 * @param {string} [path="package.json"]
 * @param {string} [startPath=process.cwd()]
 * @returns {(string | null)}
 */
export declare function findFileRecursively(path?: string, startPath?: string): string | null;
